Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus file mount`

Mount files from instances

## Synopsis

Description: Mount files from instances

    incus file mount [<remote>:]<instance>[/<path>] [<target path>] [flags]

## Examples

      incus file mount foo/root fooroot
         To mount /root from the instance foo onto the local fooroot directory.

## Options

          --auth-user string   Set authentication user when using SSH SFTP listener
          --listen string      Setup SSH SFTP listener on address:port instead of mounting
          --no-auth            Disable authentication when using SSH SFTP listener

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus file - Manage files in instances